%define anolis_release 6

Name:           libdatrie
Version:        0.2.13
Release:        %{anolis_release}%{?dist}
Summary:        Datrie is an implementation of double-array structure for representing trie.
License:        LGPLv2+
URL:            http://linux.thai.net/projects/datrie
Source0:        http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz


BuildRequires:  cmake gcc gcc-c++ automake autoconf autoconf-archive
BuildRequires:  doxygen libtool


%description
Datrie is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with O(1) time complexity for searching. 
Comparably as efficient as hashing, trie also provides flexibility on incremental matching 
and key spelling manipulation. 

See the details of the implementation at: 
    https://linux.thai.net/~thep/datrie/datrie.html

Historically, this was first implemented as C++ classes in a library called
midatrie [2], but later simplified and rewritten from scratch in C.


%package        devel
Summary:        Development files for libdatrie
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use libdatrie.


%package doc
Summary:        Documentation files for libdatrie
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The libdatrie-doc package contains documentation files for libdatrie


%prep
%autosetup

%build
autoreconf -f -i -v
%configure --disable-static --with-html-docdir=%{_pkgdocdir}-devel
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -frv %{buildroot}%{_pkgdocdir}
find %{buildroot} -name '*.*a' -delete -print
%generate_compatibility_deps

%check
LD_LIBRARY_PATH=../datrie/.libs %make_build check

%files
%dir %{abidir}
%{_libdir}/lib*.so.*
%license COPYING
%{abidir}/*.dump

%files devel
%{_bindir}/trietool*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/datrie-0.2.pc
%{_includedir}/datrie/
%{_mandir}/man1/trietool*
%{_pkgdocdir}-devel/*.{html,css,png,js,svg}

%files doc
%doc ChangeLog NEWS README* AUTHORS


%changelog
* Wed Apr 12 2023 chen_yu_ao <m15927509890@163.com> - 0.2.13-6
- fix missing BuildRequires:libtool

* Fri Apr 07 2023 chen_yu_ao <m15927509890@163.com> - 0.2.13-5
- change spec file format

* Tue Feb 28 2023 chen_yu_ao <m15927509890@163.com> - 0.2.13-4
- remove ldconfig_scriptlets

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.13-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.13-2
- add doc package

* Sat Apr 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.13-1
- Init from upstream version 0.2.13

